## cyvcf2 0.10.0+git20180727

=== htslib/Makefile ===
# Makefile for htslib, a C library for high-throughput sequencing data formats.
#
#    Copyright (C) 2013-2017 Genome Research Ltd.
#
#    Author: John Marshall <jm18@sanger.ac.uk>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CC     = gcc
AR     = ar
RANLIB = ranlib

# Default libraries to link if configure is not used
htslib_default_libs = -lz -lm -lbz2 -llzma

CPPFLAGS =
# TODO: probably update cram code to make it compile cleanly with -Wc++-compat
# For testing strict C99 support add -std=c99 -D_XOPEN_SOURCE=600
#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=600 -D__FUNCTION__=__func__
CFLAGS   = -g -Wall -O2
EXTRA_CFLAGS_PIC = -fpic
LDFLAGS  =
LIBS     = $(htslib_default_libs)

prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
includedir  = $(prefix)/include
libdir      = $(exec_prefix)/lib
libexecdir  = $(exec_prefix)/libexec
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
man5dir     = $(mandir)/man5
pkgconfigdir= $(libdir)/pkgconfig

MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(MKDIR_P) -m 755
INSTALL_LIB     = $(INSTALL_DATA)
INSTALL_MAN     = $(INSTALL_DATA)
INSTALL_PROGRAM = $(INSTALL)

# Set by config.mk if plugins are enabled
plugindir =

BUILT_PROGRAMS = \
	bgzip \
	htsfile \
	tabix

BUILT_TEST_PROGRAMS = \
	test/hts_endian \
	test/fieldarith \
	test/hfile \
	test/sam \
	test/test_bgzf \
	test/test_realn \
	test/test-regidx \
	test/test_view \
	test/test-vcf-api \
	test/test-vcf-sweep \
	test/test-bcf-sr \
	test/test-bcf-translate

BUILT_THRASH_PROGRAMS = \
	test/thrash_threads1 \
	test/thrash_threads2 \
	test/thrash_threads3 \
	test/thrash_threads4 \
	test/thrash_threads5 \
	test/thrash_threads6

all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS)

HTSPREFIX =
include htslib_vars.mk

# If not using GNU make, you need to copy the version number from version.sh
# into here.
PACKAGE_VERSION := $(shell ./version.sh)
LIBHTS_SOVERSION = 2

# $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
# even if this is a dirty or untagged Git working tree.
NUMERIC_VERSION := $(shell ./version.sh numeric)

# Force version.h to be remade if $(PACKAGE_VERSION) has changed.
version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))

version.h:
	echo '#define HTS_VERSION "$(PACKAGE_VERSION)"' > $@

print-version:
	@echo $(PACKAGE_VERSION)

show-version:
	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)
	@echo NUMERIC_VERSION = $(NUMERIC_VERSION)

.SUFFIXES: .bundle .c .cygdll .dll .o .pico .so

.c.o:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) -c -o $@ $<

.c.pico:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<


LIBHTS_OBJS = \
	kfunc.o \
	knetfile.o \
	kstring.o \
	bcf_sr_sort.o \
	bgzf.o \
	errmod.o \
	faidx.o \
	hfile.o \
	hfile_net.o \
	hts.o \
	hts_os.o\
	md5.o \
	multipart.o \
	probaln.o \
	realn.o \
	regidx.o \
	sam.o \
	synced_bcf_reader.o \
	vcf_sweep.o \
	tbx.o \
	textutils.o \
	thread_pool.o \
	vcf.o \
	vcfutils.o \
	cram/cram_codecs.o \
	cram/cram_decode.o \
	cram/cram_encode.o \
	cram/cram_external.o \
	cram/cram_index.o \
	cram/cram_io.o \
	cram/cram_samtools.o \
	cram/cram_stats.o \
	cram/files.o \
	cram/mFILE.o \
	cram/open_trace_file.o \
	cram/pooled_alloc.o \
	cram/rANS_static.o \
	cram/sam_header.o \
	cram/string_alloc.o

PLUGIN_EXT  =
PLUGIN_OBJS =

cram_h = cram/cram.h $(cram_samtools_h) $(cram_sam_header_h) $(cram_structs_h) $(cram_io_h) cram/cram_encode.h cram/cram_decode.h cram/cram_stats.h cram/cram_codecs.h cram/cram_index.h $(htslib_cram_h)
cram_io_h = cram/cram_io.h $(cram_misc_h)
cram_misc_h = cram/misc.h $(cram_os_h)
cram_os_h = cram/os.h $(htslib_hts_endian_h)
cram_sam_header_h = cram/sam_header.h cram/string_alloc.h cram/pooled_alloc.h $(htslib_khash_h) $(htslib_kstring_h)
cram_samtools_h = cram/cram_samtools.h $(htslib_sam_h) $(cram_sam_header_h)
cram_structs_h = cram/cram_structs.h $(htslib_thread_pool_h) cram/string_alloc.h $(htslib_khash_h)
cram_open_trace_file_h = cram/open_trace_file.h cram/mFILE.h
hfile_internal_h = hfile_internal.h $(htslib_hfile_h) $(textutils_internal_h)
hts_internal_h = hts_internal.h $(htslib_hts_h) $(textutils_internal_h)
textutils_internal_h = textutils_internal.h $(htslib_kstring_h)
thread_pool_internal_h = thread_pool_internal.h $(htslib_thread_pool_h)


# To be effective, config.mk needs to appear after most Makefile variables are
# set but before most rules appear, so that it can both use previously-set
# variables in its own rules' prerequisites and also update variables for use
# in later rules' prerequisites.

# If your make doesn't accept -include, change this to 'include' if you are
# using the configure script or just comment the line out if you are not.
-include config.mk

# Usually config.h is generated by running configure or config.status,
# but if those aren't used create a default config.h here.
config.h:
	echo '/* Default config.h generated by Makefile */' > $@
	echo '#define HAVE_LIBBZ2 1' >> $@
	echo '#define HAVE_LIBLZMA 1' >> $@
	echo '#define HAVE_LZMA_H 1' >> $@
	echo '#define HAVE_FSEEKO 1' >> $@
	echo '#define HAVE_DRAND48 1' >> $@

# And similarly for htslib.pc.tmp ("pkg-config template").  No dependency
# on htslib.pc.in listed, as if that file is newer the usual way to regenerate
# this target is via configure or config.status rather than this rule.
htslib.pc.tmp:
	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' htslib.pc.in > $@

# Create a makefile fragment listing the libraries and LDFLAGS needed for
# static linking.  This can be included by projects that want to build
# and link against the htslib source tree instead of an installed library.
htslib_static.mk: htslib.pc.tmp
	sed -n '/^static_libs=/s/[^=]*=/HTSLIB_static_LIBS = /p;/^static_ldflags=/s/[^=]*=/HTSLIB_static_LDFLAGS = /p' $< > $@


lib-static: libhts.a

# $(shell), :=, and ifeq/.../endif are GNU Make-specific.  If you don't have
# GNU Make, comment out the parts of these conditionals that don't apply.
ifneq "$(origin PLATFORM)" "file"
PLATFORM := $(shell uname -s)
endif
ifeq "$(PLATFORM)" "Darwin"
SHLIB_FLAVOUR = dylib
lib-shared: libhts.dylib
else ifeq "$(findstring CYGWIN,$(PLATFORM))" "CYGWIN"
SHLIB_FLAVOUR = cygdll
lib-shared: cyghts-$(LIBHTS_SOVERSION).dll
else ifeq "$(findstring MSYS,$(PLATFORM))" "MSYS"
SHLIB_FLAVOUR = dll
lib-shared: hts-$(LIBHTS_SOVERSION).dll
else
SHLIB_FLAVOUR = so
lib-shared: libhts.so
endif

BUILT_PLUGINS = $(PLUGIN_OBJS:.o=$(PLUGIN_EXT))

plugins: $(BUILT_PLUGINS)


libhts.a: $(LIBHTS_OBJS)
	@-rm -f $@
	$(AR) -rc $@ $(LIBHTS_OBJS)
	-$(RANLIB) $@

print-config:
	@echo LDFLAGS = $(LDFLAGS)
	@echo LIBHTS_OBJS = $(LIBHTS_OBJS)
	@echo LIBS = $(LIBS)
	@echo PLATFORM = $(PLATFORM)

# The target here is libhts.so, as that is the built file that other rules
# depend upon and that is used when -lhts appears in other program's recipes.
# As a byproduct invisible to make, libhts.so.NN is also created, as it is the
# file used at runtime (when $LD_LIBRARY_PATH includes the build directory).

libhts.so: $(LIBHTS_OBJS:.o=.pico)
	$(CC) -shared -Wl,-soname,libhts.so.$(LIBHTS_SOVERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS:.o=.pico) $(LIBS) -lpthread
	ln -sf $@ libhts.so.$(LIBHTS_SOVERSION)

# Similarly this also creates libhts.NN.dylib as a byproduct, so that programs
# when run can find this uninstalled shared library (when $DYLD_LIBRARY_PATH
# includes this project's build directory).

libhts.dylib: $(LIBHTS_OBJS)
	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(NUMERIC_VERSION) -compatibility_version $(LIBHTS_SOVERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
	ln -sf $@ libhts.$(LIBHTS_SOVERSION).dylib

cyghts-$(LIBHTS_SOVERSION).dll: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=libhts.dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread

hts-$(LIBHTS_SOVERSION).dll: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=hts.dll.a -Wl,--export-all-symbols -Wl,--enable-auto-import $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread


.pico.so:
	$(CC) -shared -Wl,-E $(LDFLAGS) -o $@ $< $(LIBS) -lpthread

.o.bundle:
	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< $(LIBS)

.o.cygdll:
	$(CC) -shared $(LDFLAGS) -o $@ $< libhts.dll.a $(LIBS)

.o.dll:
	$(CC) -shared $(LDFLAGS) -o $@ $< hts.dll.a $(LIBS)


bgzf.o bgzf.pico: bgzf.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(htslib_hfile_h) $(htslib_thread_pool_h) cram/pooled_alloc.h $(htslib_khash_h)
errmod.o errmod.pico: errmod.c config.h $(htslib_hts_h) $(htslib_ksort_h)
kstring.o kstring.pico: kstring.c config.h $(htslib_kstring_h)
knetfile.o knetfile.pico: knetfile.c config.h $(htslib_hts_log_h) $(htslib_knetfile_h)
hfile.o hfile.pico: hfile.c config.h $(htslib_hfile_h) $(hfile_internal_h) $(hts_internal_h) $(htslib_khash_h)
hfile_gcs.o hfile_gcs.pico: hfile_gcs.c config.h $(htslib_hts_h) $(htslib_kstring_h) $(hfile_internal_h)
hfile_libcurl.o hfile_libcurl.pico: hfile_libcurl.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h)
hfile_net.o hfile_net.pico: hfile_net.c config.h $(hfile_internal_h) $(htslib_knetfile_h)
hfile_s3.o hfile_s3.pico: hfile_s3.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h)
hts.o hts.pico: hts.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(cram_h) $(hfile_internal_h) $(htslib_hfile_h) version.h $(hts_internal_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_ksort_h)
hts_os.o hts_os.pico: hts_os.c config.h os/rand.c
vcf.o vcf.pico: vcf.c config.h $(htslib_vcf_h) $(htslib_bgzf_h) $(htslib_tbx_h) $(htslib_hfile_h) $(hts_internal_h) $(htslib_khash_str2int_h) $(htslib_kstring_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_hts_endian_h)
sam.o sam.pico: sam.c config.h $(htslib_sam_h) $(htslib_bgzf_h) $(cram_h) $(hts_internal_h) $(htslib_hfile_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_kstring_h) $(htslib_hts_endian_h)
tbx.o tbx.pico: tbx.c config.h $(htslib_tbx_h) $(htslib_bgzf_h) $(hts_internal_h) $(htslib_khash_h)
faidx.o faidx.pico: faidx.c config.h $(htslib_bgzf_h) $(htslib_faidx_h) $(htslib_hfile_h) $(htslib_khash_h) $(htslib_kstring_h) $(hts_internal_h)
bcf_sr_sort.o bcf_sr_sort.pico: bcf_sr_sort.c config.h bcf_sr_sort.h $(htslib_kseq_h) $(htslib_khash_str2int_h)
synced_bcf_reader.o synced_bcf_reader.pico: synced_bcf_reader.c config.h bcf_sr_sort.h $(htslib_synced_bcf_reader_h) $(htslib_kseq_h) $(htslib_khash_str2int_h) $(htslib_bgzf_h) $(htslib_thread_pool_h)
vcf_sweep.o vcf_sweep.pico: vcf_sweep.c config.h $(htslib_vcf_sweep_h) $(htslib_bgzf_h)
vcfutils.o vcfutils.pico: vcfutils.c config.h $(htslib_vcfutils_h) $(htslib_kbitset_h)
kfunc.o kfunc.pico: kfunc.c config.h $(htslib_kfunc_h)

=== debian/changelog ===
cyvcf2 (0.10.0+git20180727-2) unstable; urgency=medium

  * Build-Depends: add some missing dependencies
  * Set default locale to C.UTF-8

  [ Steffen Moeller ]
  * Added Liubov Chuprikova to uploaders

  [ Andreas Tille ]
  * Standards-Version: 4.2.0
  * cme fix dpkg-control
  * hardening=+all

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 14 Aug 2018 12:49:59 +0200

cyvcf2 (0.10.0+git20180727-1) unstable; urgency=medium

  * Not a new upstream release, but feels like it.
    - Falling back on modified htslib redistributed with cyvcf2 source.
      Please everyone have an eye on how this develops and make some
      noise on our list and in README.source.
    - Removed libhts* from build dependencies.
  * No more patches required with many thanks to
    - Brent Pedersen (upstream)
    - Liubov Chuprikova
  * Enabled testing.
  * Initial release (Closes: #890233)

 -- Steffen Moeller <moeller@debian.org>  Sat, 28 Jul 2018 01:13:58 +0200

cyvcf2 (0.10.0-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Steffen Moeller <moeller@debian.org>  Sat, 28 Jul 2018 00:12:36 +0200

cyvcf2 (0.9.0-1) UNRELEASED; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 07 Jul 2018 22:25:23 +0200

cyvcf2 (0.8.6-1) UNRELEASED; urgency=medium

  * Initial packaging.

 -- Steffen Moeller <moeller@debian.org>  Sun, 11 Feb 2018 19:16:31 +0100

=== debian/control ===
Source: cyvcf2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Liubov Chuprikova <chuprikovalv@gmail.com>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               zlib1g-dev,
               cython,
               cython3,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               libpython-dev,
               libpython3-dev,
               python3-all-dev,
               python-numpy,
               python3-numpy,
               python-coloredlogs,
               python3-coloredlogs,
               python-click,
               python3-click,
               python-nose,
               python3-nose,
               libssl-dev,
               libcurl4-gnutls-dev|libcurl4-openssl-dev
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
Homepage: https://github.com/brentp/cyvcf2

Package: python-cyvcf2
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: python-cyvcf2-doc
Description: VCF parser based on htslib (Python 2)
 This modules allows fast parsing of VCF and BCF including region-queries
 with Python. This is essential for efficient analyses of nucleotide
 variation with Python on high-throughput sequencing data.
 .
 cyvcf2 is a cython wrapper around htslib.  Attributes like
 variant.gt_ref_depths return a numpy array directly so they are
 immediately ready for downstream use.
 .
 This package installs the library for Python 2.

Package: python3-cyvcf2
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: python-cyvcf2-doc
Description: VCF parser based on htslib (Python 3)
 This modules allows fast parsing of VCF and BCF including region-queries
 with Python. This is essential for efficient analyses of nucleotide
 variation with Python on high-throughput sequencing data.
 .
 cyvcf2 is a cython wrapper around htslib.  Attributes like
 variant.gt_ref_depths return a numpy array directly so they are
 immediately ready for downstream use.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cyvcf2-$1.tar.gz%" \
   https://github.com/brentp/cyvcf2/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cyvcf2 0.10.4

=== debian/changelog ===
cyvcf2 (0.10.4-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version (should build using Debian packaged htslib)
  * Standards-Version: 4.3.0
  * Simplify watch file
  * debhelper 12
  * Remove trailing whitespace in debian/copyright
  * Build-Depends: libhts-dev, libbz2-dev
  * Binaries are Section: python
  * Do not mention htslib in copyright since it is not shipped with the
    source tarball

  [ Liubov Chuprikova ]
  * A patch that adds link dependency on htslib

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 00:16:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,14 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                zlib1g-dev,
                cython,
                cython3,
-               python-all,
+               python-all-dev,
                python-setuptools,
-               python3-all,
                python3-setuptools,
-               libpython-dev,
-               libpython3-dev,
                python3-all-dev,
                python-numpy,
                python3-numpy,
@@ -26,14 +23,17 @@
                python-nose,
                python3-nose,
                libssl-dev,
-               libcurl4-gnutls-dev|libcurl4-openssl-dev
-Standards-Version: 4.2.0
+               libcurl4-gnutls-dev|libcurl4-openssl-dev,
+               libhts-dev,
+               libbz2-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2
 
 Package: python-cyvcf2
 Architecture: any
+Section: python
 Depends: ${python:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -51,6 +51,7 @@
 
 Package: python3-cyvcf2
 Architecture: any
+Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export LC_ALL=C.UTF-8

export PYBUILD_NAME=cyvcf2

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python-cyvcf2/usr/bin/cyvcf2

override_dh_install:
	dh_numpy
	dh_install


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

override_dh_clean:
	dh_clean
	rm -rf cyvcf2.egg-info cyvcf2/cyvcf2.c __o.vcf
	find . -name "*.so" -delete

## cyvcf2 0.10.8

=== debian/changelog ===
cyvcf2 (0.10.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Feb 2019 22:12:40 +0100

## cyvcf2 0.11.4

=== debian/changelog ===
cyvcf2 (0.11.4-1) unstable; urgency=medium

  * Team upload.
  * Drop Python2 package since it has no rdepends
  * Delete debian/README.source since outdated
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Exclude test that needs missing data file
  * Cleanup after testing

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 13:03:46 +0200

=== debian/control ===
Source: cyvcf2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Liubov Chuprikova <chuprikovalv@gmail.com>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               zlib1g-dev,
               cython3,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-coloredlogs,
               python3-click,
               python3-nose,
               libssl-dev,
               libcurl4-gnutls-dev|libcurl4-openssl-dev,
               libhts-dev,
               libbz2-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
Homepage: https://github.com/brentp/cyvcf2

Package: python3-cyvcf2
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: VCF parser based on htslib (Python 3)
 This modules allows fast parsing of VCF and BCF including region-queries
 with Python. This is essential for efficient analyses of nucleotide
 variation with Python on high-throughput sequencing data.
 .
 cyvcf2 is a cython wrapper around htslib.  Attributes like
 variant.gt_ref_depths return a numpy array directly so they are
 immediately ready for downstream use.
 .
 This package installs the library for Python 3.

## cyvcf2 0.11.5

=== debian/changelog ===
cyvcf2 (0.11.5-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/spelling: fix a few typos.
  * Rules-Requires-Root: no
  * Add a man page for cyvcf2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 15:47:52 +0100

cyvcf2 (0.11.5-1) unstable; urgency=medium

  * Team upload.
  * Now run full test suite since data file is provided

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 16:07:46 +0200

=== debian/control ===
--- 
+++ 
@@ -18,18 +18,22 @@
                libssl-dev,
                libcurl4-gnutls-dev|libcurl4-openssl-dev,
                libhts-dev,
-               libbz2-dev
-Standards-Version: 4.4.0
+               libbz2-dev,
+               help2man <!nodoc>
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2
+Rules-Requires-Root: no
 
 Package: python3-cyvcf2
 Architecture: any
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python3-coloredlogs,
+         python3-click
 Description: VCF parser based on htslib (Python 3)
  This modules allows fast parsing of VCF and BCF including region-queries
  with Python. This is essential for efficient analyses of nucleotide

## cyvcf2 0.11.6

=== debian/changelog ===
cyvcf2 (0.11.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Adjusted spelling fixes - 4 already fixed upstream,
    submitted PR for the last on
    https://github.com/brentp/cyvcf2/pull/140

 -- Steffen Moeller <moeller@debian.org>  Tue, 25 Feb 2020 14:57:29 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2

=== debian/watch ===
version=4

https://github.com/brentp/cyvcf2/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## cyvcf2 0.20.1

=== debian/changelog ===
cyvcf2 (0.20.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.20.1 (Closes: #964677)
  * Refresh patch and cythonize modules
  * Do not import numpy during clean
  * compat version: 13

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 09 Jul 2020 23:17:28 +0530

cyvcf2 (0.11.6-2) unstable; urgency=medium

  * Team upload.
  * Bug #954640 of python3-humanfriendly was fixed
    Closes: #954603
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 30 Mar 2020 10:00:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                zlib1g-dev,
                cython3,

## cyvcf2 0.20.9

=== debian/changelog ===
cyvcf2 (0.20.9-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 12 Oct 2020 11:07:26 +0530

cyvcf2 (0.20.8-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 03 Oct 2020 20:08:24 +0530

cyvcf2 (0.20.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 28 Sep 2020 22:45:14 +0530

cyvcf2 (0.20.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 08:19:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cyvcf2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Liubov Chuprikova <chuprikovalv@gmail.com>
+           Liubov Chuprikova <chuprikovalv@gmail.com>,
+           Nilesh Patra <npatra974@gmail.com>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional

## cyvcf2 0.30.0

=== debian/changelog ===
cyvcf2 (0.30.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 04 Dec 2020 19:58:00 +0530

## cyvcf2 0.30.1

=== debian/changelog ===
cyvcf2 (0.30.1-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 06 Dec 2020 20:18:35 +0530

## cyvcf2 0.30.2

=== debian/changelog ===
cyvcf2 (0.30.2-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 24 Dec 2020 15:23:21 +0530

## cyvcf2 0.30.4

=== requirements.txt ===
cython>=0.23.3
numpy
coloredlogs
click

=== debian/changelog ===
cyvcf2 (0.30.4-4) unstable; urgency=medium

  * Disable failing test on i386 using
    dpkg-architecture

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 03 Feb 2021 17:57:14 +0530

cyvcf2 (0.30.4-3) unstable; urgency=medium

  * Attempt fixing i386 FTBFS with skipping
    a test that ends up with NaN values

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 23:36:46 +0530

cyvcf2 (0.30.4-2) unstable; urgency=medium

  * Pull Upstream PR to fix ppc64el build
    (Closes:#956675)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 16:12:46 +0530

cyvcf2 (0.30.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 09:49:20 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
+
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/default.mk
 export LC_ALL=C.UTF-8
 
 export PYBUILD_NAME=cyvcf2
@@ -9,16 +10,28 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
-
-override_dh_auto_install:
-	dh_auto_install
-	rm -f debian/python-cyvcf2/usr/bin/cyvcf2
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
-	dh_numpy
+	dh_numpy3
 	dh_install
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test
+	# clean up after testing
+	find . -name out.vcf -delete
+endif
+
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+override_dh_installman:
+	PATH=$$PATH:$(CURDIR)/debian/python3-cyvcf2/usr/bin \
+	     PYTHONPATH=$(CURDIR)/debian/python3-cyvcf2/usr/lib/$(shell py3versions -d)/dist-packages/ \
+	     help2man --no-info \
+	     --name="fast parsing of VCF and BCF including region-queries" \
+	     --version-string=$(DEB_VERSION_UPSTREAM) cyvcf2 > debian/cyvcf2.1
+	dh_installman
+endif
 
 # If you need to rebuild the Sphinx documentation
 # Add spinxdoc to the dh --with line

## cyvcf2 0.30.11

=== debian/changelog ===
cyvcf2 (0.30.11-1) unstable; urgency=medium

  * Fix watch URL
  * New upstream version 0.30.11
  * Remove merged patches amd Refresh
    d/p/i386.patch
  * d/tests: Also run build time tests as autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:05:52 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Nilesh Patra <npatra974@gmail.com>
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional

=== debian/watch ===
version=4

https://github.com/brentp/cyvcf2/releases .*/archive/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## cyvcf2 0.30.14

=== debian/changelog ===
cyvcf2 (0.30.14-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:36:13 +0000

cyvcf2 (0.30.14-1) unstable; urgency=medium

  * New upstream version 0.30.14
  * d/watch: Fix broken regex in watch file
  * Drop d/p/python-3.10.patch, merged upstream
  * Rediff and refresh patches
  * Upstream has switched to pytest
    + d/control: B-D on python3-pytest
    + d/tests: adapt autopkgtests as per pytest
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/copyright: s/MIT/Expat/

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Dec 2021 13:55:27 +0530

cyvcf2 (0.30.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.10 support - avoid a regression in gzip file handles
    (Closes: #1000317)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Nov 2021 08:38:57 -0400

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                python3-numpy,
                python3-coloredlogs,
                python3-click,
-               python3-nose,
+               python3-pytest,
                libssl-dev,
                libcurl4-gnutls-dev|libcurl4-openssl-dev,
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2

=== debian/watch ===
version=4

https://github.com/brentp/cyvcf2/tags .*/archive/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## cyvcf2 0.30.15

=== debian/changelog ===
cyvcf2 (0.30.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 12:03:00 +0200

cyvcf2 (0.30.14-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 12:02:48 +0200

=== debian/watch ===
version=4

https://github.com/brentp/cyvcf2/tags .*/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## cyvcf2 0.30.16

=== debian/changelog ===
cyvcf2 (0.30.16-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 15:42:01 +0000

cyvcf2 (0.30.16-1) unstable; urgency=medium

  * Team upload.
  * Proper filename for upstream tarball
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 16:36:15 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2

## cyvcf2 0.30.18

=== debian/changelog ===
cyvcf2 (0.30.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 11:49:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Nilesh Patra <nilesh@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional

## cyvcf2 0.30.22

=== debian/changelog ===
cyvcf2 (0.30.22-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.30.22. Update patches.
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 22:43:41 +0530

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 export PYBUILD_NAME=cyvcf2
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export CYTHONIZE=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## cyvcf2 0.30.25

=== requirements.txt ===
cython>=0.23.3
numpy
coloredlogs
click
setuptools

=== debian/changelog ===
cyvcf2 (0.30.25-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

  [ Bas Couwenberg ]
  * Switch to cython3-legacy
    Closes: #1056799

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2023 20:14:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export CYTHONIZE=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_numpy3

## cyvcf2 0.30.28

=== requirements.txt ===
cython>=0.23.3
coloredlogs
click
setuptools
numpy; os_name == 'nt'  
oldest-supported-numpy; os_name != 'nt'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cyvcf2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cyvcf2.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cyvcf2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cyvcf2"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
cyvcf2 (0.30.28-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:44 +1100

cyvcf2 (0.30.28-1build1) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:38:57 +0100

cyvcf2 (0.30.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1058768
  * Set CYVCF2_HTSLIB_MODE=EXTERNAL to build with Debian packaged htslib

 -- Andreas Tille <tille@debian.org>  Wed, 07 Feb 2024 11:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: cyvcf2
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Liubov Chuprikova <chuprikovalv@gmail.com>,
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                zlib1g-dev,
-               cython3,
+               cython3-legacy,
                python3-setuptools,
                python3-all-dev,
                python3-numpy,

## cyvcf2 0.31.0

=== debian/changelog ===
cyvcf2 (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Fri, 31 May 2024 22:31:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: cyvcf2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Liubov Chuprikova <chuprikovalv@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -21,7 +21,7 @@
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2

## cyvcf2 0.31.1

=== requirements.txt ===
cython>=0.23.3
coloredlogs
click
setuptools
oldest-supported-numpy; os_name != "nt" and python_version < "3.9"
numpy; os_name == "nt" and python_version < "3.9"
numpy>=2.0.0; python_version >= "3.9"

=== debian/changelog ===
cyvcf2 (0.31.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: switch to cython3 3.x from the deprecated cython3-legacy.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 11:37:47 +0200

cyvcf2 (0.31.1-1) unstable; urgency=medium

  * New upstream version 0.31.1

 -- Étienne Mollier <emollier@debian.org>  Sat, 20 Jul 2024 20:05:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                zlib1g-dev,
-               cython3-legacy,
+               cython3,
                python3-setuptools,
                python3-all-dev,
                python3-numpy,
@@ -21,7 +21,7 @@
                libhts-dev,
                libbz2-dev,
                help2man <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cyvcf2
 Vcs-Git: https://salsa.debian.org/med-team/cyvcf2.git
 Homepage: https://github.com/brentp/cyvcf2

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 
 include /usr/share/dpkg/default.mk
 export LC_ALL=C.UTF-8
 
 export PYBUILD_NAME=cyvcf2
+PYBUILD_BEFORE_TEST=cp -a $(PYBUILD_NAME)/tests {build_dir}/$(PYBUILD_NAME);
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export CYTHONIZE=1
+export CYVCF2_HTSLIB_MODE=EXTERNAL
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -20,6 +22,10 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "$(PYBUILD_BEFORE_TEST) seems to be ignored - copying tests dir manually"
+	for tdir in .pybuild/cpython3_* ; do \
+	    cp -a $(PYBUILD_NAME)/tests $${tdir}/build/$(PYBUILD_NAME) ; \
+	done
 	dh_auto_test
 	# clean up after testing
 	find . -name out.vcf -delete
